Skip to Content
Webhooks

Read webhook deliveries

GET
/developer/webhooks/{id}/deliveries

The newest 20 deliveries to one endpoint: event, status, attempts and the last HTTP status your endpoint answered. Free.

Authorization

DeveloperKey
headerAuthorizationBearer <gm_live_...>

A GetMattered developer API key, sent as Authorization: Bearer gm_live_....

Path Parameters

id*integer

The webhook endpoint id.

Range0 < value

Response Body

The deliveries, newest first.

application/json
  1. response

Successful API response

data*
meta?
success*true
Value intrue
Example Request
curl -X GET 'https://api.getmattered.com/api/v1/developer/webhooks/1/deliveries'
Example Response
{
  "data": {
    "deliveries": [
      {
        "attempts": 0,
        "createdAt": "string",
        "deliveredAt": "string",
        "eventId": "string",
        "eventType": "string",
        "lastStatusCode": 0,
        "status": "pending"
      }
    ]
  },
  "meta": {
    "duration": 0,
    "performance": {
      "dbQueries": 0,
      "totalDbTime": 0
    },
    "requestId": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  },
  "success": true
}